package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * @author Blizzard
 * @create at 2023-09-19 10:00
 * @describe
 */
@EqualsAndHashCode(callSuper = true)
@TableName("blade_contacts")
@Data
public class ContactDept extends BaseEntity {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "本机构顶级机构id")
	@TableField("top_dept")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long topDept;

	@ApiModelProperty(value = "联系人顶级机构id")
	@TableField("related_top_dept")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long relatedTopDept;

	@ApiModelProperty(value = "联系人deptId")
	@TableField("dept_id")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long deptId;

	@ApiModelProperty(value = "联系人deptId")
	@TableField("dept_id")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long userId;
}
